package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.EstateModel
import com.biganto.visual.roompark.domain.use_case.DownloadUseCase
import com.biganto.visual.roompark.domain.use_case.TourPreviewsUseCase
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 03.04.2020.
 */

class ToursInteractor @Inject constructor(
    private val downloadUseCase: DownloadUseCase,
    private val tourUseCase:TourPreviewsUseCase
){

    fun getEstateTourList(estate:EstateModel) =
        tourUseCase.fetchTourOffer(estate.multitourId
            ?: error("Отсутсвуют виртуальные туры для данного объекта"),estate.id)

    fun downloadTour(tourId:String,cancellationToken: DownloadUseCase.CancellationToken) =
        downloadUseCase.startTourDownloading(tourId,cancellationToken)


}